#
# spec file for package python-versioneer
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-versioneer
Version:        0.26
Release:        150400.9.3.9
Summary:        VCS-based management of project version strings
License:        Unlicense
Group:          Development/Languages/Python
URL:            https://github.com/warner/python-versioneer
Source:         https://files.pythonhosted.org/packages/source/v/versioneer/versioneer-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module testsuite}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Versioneer is a tool to automatically update version strings (in
setup.py and the conventional ‘from PROJECT import _version’ pattern)
by asking the version control system about the current tree.

%prep
%setup -q -n versioneer-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/versioneer
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v test/test_file.py

%post
%python_install_alternative versioneer

%postun
%python_uninstall_alternative versioneer

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/*
%python_alternative %{_bindir}/versioneer

%changelog
* Mon May 22 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Tue Oct 11 2022 yarunachalam@suse.com
- Update to version 0.24
  * MNT: Relicense to Unlicense by @effigies in #317
  * ENH: in verbose mode do not hide stderr of git rev-parse by @yarikoptic in #318
  * DOC: clarify upgrading to 0.23 doesn't require special actions by @sappelhoff in #321
  * ENH: Prepare for py2exe dropping distutils support by @effigies in #319
  * ENH: Allow versioneer to be used as a module in PEP-518 mode by @effigies in #294
* Sat Aug 28 2021 mcepl@suse.com
- Make testing more verbose
* Thu Aug 26 2021 pgajdos@suse.com
- version update to 0.20
  Release 0.20 (13-Jul-2020)
  * Respect versionfile_source in __init__.py snippet (#241)
  * Add pep440-branch and pep440-post-branch styles (#164)
  * Stop testing deprecated easy_install, support left in for now (#237)
  * Use versionfile_build instead of versionfile_source where needed (#242)
  * Improve handling of refname edge cases (#229)
  * Clarify installation in docs (#235)
  * Play nicely with custom build_exts (#232)
  Release 0.19 (10-Nov-2020)
  * Drop support for Python < 3.6, test up to Python 3.9
  * Strip GPG signature information from date (#222)
  * Add bdist_ext cmdclass, to support native code extensions (#171)
  * Canonicalize pep440-pre style (#163)
  * Take arguments to get_cmdclass
- test the package a bit at least
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Jun  6 2018 jengelh@inai.de
- Ensure neutrality/accuracy of description
* Mon Feb 19 2018 arun@gmx.de
- initial version
